Ubuntu

[i965] (Needs UXA) X freezes with I830WaitLpRing error when running OpenGL apps, unless use UXA

Reported by Enrico Sardi on 2007-06-17
198
This bug affects 11 people
Affects Status Importance Assigned to Milestone
X.Org X server
Fix Released
Medium
mesa (Ubuntu)
High
Unassigned
Declined for Intrepid by Bryce Harrington
Hardy
High
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Declined for Intrepid by Bryce Harrington
Hardy
Undecided
Unassigned
xserver-xorg-video-intel (zUbuntu)
Invalid
Undecided
Unassigned

Bug Description

On some Intel GM965 machines, running OpenGL applications (eg. Blender,
Second Life, the Endgame screensaver, Scorched3D) can crash the system.

Symptoms: Colours go funny, then screen flashes between off and black with 'please wait' cursor about 10 times, then stops; does not respond to Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the line
Error in I830WaitLpRing(), timeout for 2 seconds
in /var/log/Xorg.0.log.old

(Please note that this is not the only X crash bug; if you cannot find
an exact match for your symptoms then please file a new bug.)

Workaround: Adding
        Option "DRI" "false"
to the graphics controller Device section of /etc/X11/xorg.conf avoids this bug, but may drastically reduce performance.

This bug has been reported upstream and you can follow the link to xorg bugzilla, but as of 29.12.07 no developer managed to reproduce this bug (how to trigger it seems to be hardware dependent, with some i965s not appearing to have it at all) so it will be very hard to fix unless that changes
if you are suffering from this bug please go to xorg bugzilla and report your hardware specifics.
also please edit this bug description and add the name and exact model of your affected laptop.

list of affected laptops:
Acer Travelmate 6292
Asus S62E Santa Rosa 965
dell D830
Dell 630
Dell Inspiron 1420
Dell Inspiron 1420n
Dell Inspiron 1525 (new)
Dell Latitude D630
Dell Latitude D830
Dell Vostro 1310
Dell XPS M1330
HP Compac 6510b
HP Compaq 6710b
Thinkpad T61
Thinkpad X61 Tablet
Thinkpad X61s
Apple Macbook (3,1/Santa Rosa)
Acer Aspire 5315-052G12Mi
Acer Extensa 5220-050508Mi
Lenovo 3000 N200 (TY2BBGE)
Sony vaio CR160

also if you have one of these laptops and are not affected please tell
us!

Versvs (versvs) wrote :

I got the same error. I can usually make a pair of clicks, open a windows or move something.. but then it freezes the whole machine. Still can move the cursor but nothing will be done.

Sadly, i cannot send a bug report in this state so i think i could not help with this issue.

Is there a way an output error is saved that may be sent to help debug?

Versvs (versvs) wrote :

I forgot: I have the X3100 graphic card, by Intel. With chipset 965gm.

Earl Malmrose (earl) wrote :

Same here. Asus S62E Santa Rosa 965 with x3100.

Upgrading to Gutsy Tribe 1 fixes the crash, but I'd rather be able to run Feisty for a while.

Frank Lynch (frank-lynch) wrote :

+1 same behavior here on my dell D830, as Earl pointed out the issue is resolved in gutsy (but I can't run gutsy as its still a bit unstable for my liking) - I think we just need the latest copy of this intel driver backported to fiesty?

FWIW here is my card info as identified by lspci:
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

jvalen (jose-valenzuela) wrote :

Same on Dell 630 too. The other option is upgrade to Xorg 7.3 when liberated, but till then...

I've tried different dual-screen configurations and all of then hangs too...

Have somebody probed some other driver or similar?

Earl Malmrose (earl) wrote :

Hmm, Dell just announced a new Ubuntu laptop with x3100 shipping next month. I wonder what drivers they used!

Well, I can confirm this for a 945gm chipset, too

Bryce Harrington (bryce) wrote :

This sounds very similar to bug 99114, except in that case there is a spontaneous reboot rather than a freeze.

Changed in xserver-xorg-video-intel:
importance: Undecided → High
status: New → Confirmed
MRMadhav (mrmadhav2408) wrote :

Hi, I am getting the same problem here on Gusty. I have an HP Compaq 6710b with the intel 965gm x3100 and was previously using fiesty with it. Then, i was using the vesa driver and everything was fine, i.e, no crash on 3d etc... When upgrading to gusty, i saw that support for this card was added via the xserver-xorg-video-intel driver. So i changed my xorg.conf file as it was described in some of the forums namely setting the driver to "intel" etc... But after doing that, each time i try to launch a 3d application my xserver will just hang and i am forced to power-off and boot again. Even simple test applications such as glxgears fail. I have attached a copy of my xorg.conf file

Peter Clifton (pcjc2) wrote :

After a crash, could you reboot and then attach the log file /var/tmp/Xorg.0.log.old

Thanks

Bryce Harrington (bryce) wrote :

There are also directions for obtaining a backtrace available here: https://wiki.ubuntu.com/DebuggingXorg

I'm not able to generate a crash running glxgears on a 82G965 system...

If someone able to reproduce this issue could run it through the debugger and get a backtrace it may help. Make sure you have -dbg packages installed so you can get line numbers in the sourcecode.

Cris Amon (crisamon) wrote :

I'm getting the same problem with Gutsy and chipset 945GM Mobile 945GM/GMS/940GML Express Integrated Graphics Controller.

Fernando (fernandogferreira) wrote :

Hi,

I faced some problems too with the Compaq 6510b...
I solved installing the xserver-xorg-video-intel and the compizconfig-settings-manager packages... The 3D, resolution, all working well. My xorg-conf is attached. Please notice that the resolution of the monitor is fake....

However, the dual-screen does not work properly. When I connect the external monitor the laptop's monitor resolution crashes and I can't manage how I make a extended (right-side) screen. I just take a copy from the laptop's monitor on the external one.

Some idea???

John Affleck (lists+launchpad) wrote :

I'm going to assume that this is the same problem that I'm having, in that some gnome-screensaver modules cause X to crash. I've attached a backtrace from a crashed X session (something to do with DRI locking maybe ?)

Thinkpad T61 w/ 965GM graphics:
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

John Affleck (lists+launchpad) wrote :

Sigh. I should actually include the attachment I guess.

voltron81 (micar) wrote :

I've the same problem with my laptop Dell XPS M1330 with Intel integrated GMA X3100
:(
Somebody know the solution?
Thanks
Michele

John Affleck (lists+launchpad) wrote :

Kernel DRI debug output attached. I can get this to happen consistently with 'skyrocket'.

John Affleck (lists+launchpad) wrote :

'Full' requested gdb output (which doesn't actually add any value, but..) I have libgl1-mesa-dri-dbg installed but don't get debug symbols from i965_dri automagically ?

voltron81 (micar) wrote :

There's something new?
I still can't use 3d effects of ubuntu... :(
Thanks
MiK

Bergje (ronald-bergje) wrote :

I can reproduce this 100%... each time i startup Blender 3d and actually render a window my whole X-server will hang pretty soon (I can make it do so almost immediately by dragging the render window around). I have the intel 965GM/GL integrated graphics chip X3100 (Thinkpad X61s).

I've added both the log from the xserver and a gdm backtrace (in a single file) as par the instructions i saw in an earlier message.
I hope this gives all the information needed... If not just message here and i'll provide any information necessary.

Regards - Ronald

maor (maors) wrote :

im using dell 1520 with intel x3100 and blender Stellarium and compiz work well (compiz is without video playback but thats a known limitation)
mybe something in your xorg.conf is causing the problem here is mine
im running on gutsy final.

Bergje (ronald-bergje) wrote :

I just reproduced with your xorg.conf the exact same behaviour... I can not quite explain it either. I've tried multipe xorg.conf's now and nothing seems to help. The only thing that i found so far that describes the symptoms is this bug-entry. I just hope the debug information i send might help developers to try and figure out what's going wrong.
I'm using Ubuntu Gutsy installed from the livecd... with all updates available installed etc. (32 bit version, 1 Gb internal memory (2x512).)

Thanx for your effort though!

dpchem (peryshkov) wrote :

To maor:

I have exactly the same xorg.conf as you posted but still get crashes :-(

Installed Ubuntu 7.10 from alternate CD

Thinkpad T61, 2Gb of memory.

xserver-xorg-video-intel 2:2.1.1-0ubuntu9

maor (maors) wrote :

Bergje, i looked at your xorg.log and found this line
"Error in I830WaitLpRing(), timeout for 2 seconds"
and found this bug report at xorg bugzilla:
https://bugs.freedesktop.org/show_bug.cgi?id=11847
the buttom line is that the graphic engine hangs,and after disabling dri the problem seems to go away.
try editing the intel device section in xorg.conf to:
Section "Device"
        Identifier "Intel Corporation 82G965 Integrated Graphics
Controller"
        Driver "intel"
        BusID "PCI:0:2:0"
        Option "AccelMethod" "EXA"
        Option "DRI" "false"
EndSection
note that i am not certain adding Option "AccelMethod" "EXA" is nessecery and you should avoid it sense EXA is note suppose to be production ready.
also disabling dri will probably hurt performance but thats better than having no 3d at all.

btw: if the workaround works for you consider telling them your hardware info to try and help xorg developers in finding a solution.

Chris Irwin (chrisirwin) wrote :

Disabling DRI avoids crashes, but now 2D is extremely sluggish (regular GTK things, not OpenGL). I'm Using metacity, not compiz fusion.

This is on a macbook with intel X3100

maor (maors) wrote :

2D is extremly sluggish even without Option "AccelMethod" "EXA"?

Bergje (ronald-bergje) wrote :

Although it's somewhat annoying that I cannot use Blender at the moment i'd rather wait till a solution for this problem is implemented then reducing all graphic performance... I need the graphic performance for other things that do not crash. As it is this bug stands on 'Confirmed' with importance 'High' so i'm sure that a solution will be available in the future. Thanks for the suggestion though!

Regards - Bergje

i have problems as well on my new clevo M72R "Core Logic Intel GM965 + ICH8M"
I've tried with feisty and with gutsy, the problems are several: Correct detection of the video card Intel GM965 integrated
but not of the lcd monitor 12.1" WXGA glare (1280x800) and the video output interface
with composite working it is impossible to watch videos and the screen get black after a while.
It looks like a problem of the "intel" driver and i'm currently using "vesa" to have a usable system.
I also give a try to the first alpha of ubuntu 8.04 but nothing as been fixed yet.

I believe in ubuntu and i hope this bug will be fixed
thanx
tobar

Sander Smid (s-smid) wrote :

Tommaso,

Please note that the GM965 chipset has issues with Xv. This means that compiz-fusion is disabled by default on Ubuntu ( see: http://wiki.compiz-fusion.org/Hardware/Blacklist )
When you enable it anyhow you should be aware that this can cause some trouble. In most cases you can work around this. The most simple way is by using the 'gstreamer-properties' configuration tool (start from terminal) and select "X Window System (No Xv)" at the video tab -> plugin selectbox. Now Totem video, rhythmbox visualisation etc. works again.

I would like to note that on my system I can work with 3D apps. I have had some lockups with certain 3d screensavers but I can use my own 3D application. There are graphical glitches (I filed a bug report a couple of weeks ago here: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/162206 ) but it is usable.

Games like warsow (http://www.warsow.net) even work with this card on my notebook.

I have an Acer Aspire 5315-052G12Mi and wrote a small howto for it on: http://ubuntuforums.org/showthread.php?t=610603
It includes some pointers to some compiz / video / webcam / wifi related issues.

Cheers,
Sander

thanks for responding Sanders, my actual major problem comes from th incorrect detection of my monitor 12.1" 1280x800 i attach a screenshot of how it actually looks on i gutsy live cd
i will also attach my xorg.conf

Rubin (rubin) wrote :

Hi all. I can confirm this crash bug also; It used to be very easy to crash is feisty, just increase the size of a simple GLX app like glxgears, and bam. Now, in gutsy, its not fixed, but has become harder to trigger the bug. A sure fire way is to do the following:

open Scorched3d
click the configuration editor button
set the size to something bigish. maybe 1280x800
turn graphics quality all the way up
start a single player game
choose apoc mode
once the game has begun, the big weapons such as doomsday, deaths head etc, will cause X to crash, and ultimately take down the whole system. (note weapons need to be aimed a little smartly to explode.. if they hit something before deploying sub-bombs it wont trigger the bug)

I have also been able to reproduce it with 2ndlife fairly regularly.

Could those of you who think the bug was fixed for you, please try running scorched3d above and verify it really is not crashing even under high GLX load?

I have a Lenovo Thinkpad T61 with the intel 965 video, using gutsy, and the 'intel' driver. Sure cant wait till these video issues are solved :/

maor (maors) wrote :

this bug is known for about six month and the upstream developers have not managed to reproduce it see:
https://bugs.freedesktop.org/show_bug.cgi?id=11847
i am also working with a x3100 santa rosa but it is working perfectly.
posting here about how your also suffering from the problem is not going to help.
if you want to see this bug fixed and help the linux community in general i suggest you go to the thread and try to work out what hardware-software combination is causing this so the developer can actually start working on the fix and i dont see this bug getting fixed until that happens.

i know its a hassle but in the world of linux/open source thats how things get done.

Rubin (rubin) wrote :

I can't speak to others, but to reproduce my problem, I can guess it would be very easy:
 Borrow a Lenovo thinkpad T61 with intel video option (very common laptop). Install ubuntu Gutsy on it. Try to use 3d. Theres nothing weird about the setup, its right out of the box. I have yet to find a 3d application with a lot of things going on that does NOT crash eventually. Its not elusive, at least on my hardware.

Seems like intel and/or lenovo could be tagged to help make this happen....

Bergje (ronald-bergje) wrote :

I second Rubin... I also have a lenovo thinkpad with intel video option (Thinkpad x61s). Basic installation of ubuntu Gutsy, try to use 3d (specifically openGL, i use blender to reproduce this bug) -> crash will happen very very quick. I posted xorg.conf, logs including debug information and hardware specifics.

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
maor (maors) on 2007-12-27
Changed in xserver-xorg-video-intel:
status: New → Invalid
Changed in xorg-server:
status: Unknown → Confirmed

https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/178451 may be a duplicate of this (if you've seen this in Gutsy, are your symptoms an exact match? my mouse pointer freezes, this bug's original (Feisty) report says it didn't)

This hardware has also been reported to crash Second Life under Windows: http://softwarecommunity.intel.com/isn/Community/en-US/forums/30244361/ShowThread.aspx The workaround there is to disable object occlusion; can this be done in X, and would this be a less drastic remedy than turning off DRI (which for me stops the crashing but slows FlightGear from 10-11fps to an unusable 1-2fps)?

maor (maors) on 2007-12-29
description: updated
maor (maors) wrote :

the bug is caused even while rendering the most basic 3d so i do not think its related to the windows bug you described ( i am not shore even if windows and linux share the same code base for the intel drive even if it is open source) but of course i have been wrong before...

BrianGilman (brian-gilman) wrote :

This appears to be fixed with hardy heron, been running without compiz for the past few days, and the bug has not appeared again.

Bergje (ronald-bergje) on 2007-12-29
description: updated
BrianGilman (brian-gilman) wrote :

I spoke too soon, just occurred again, this is on a Thinkpad R61 7738-A16, under hardy heron.
Different in that it doesn't corrupt the screen, it just switches between video modes, and that it took much longer to occur. Virtual terminals do not work, and the only "safe" way to escape is ctrl-alt-del.

kern.log
Dec 30 01:53:03 r61 kernel: [28676.888712] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 34046195 emitted: 34046256
Dec 30 01:54:01 r61 kernel: [28734.070966] gdm[5675]: segfault at 0000000c eip b77f8462 esp bfa11500 error 6

daemon.log
Dec 30 01:53:06 r61 gdm[5678]: WARNING: gdm_slave_xioerror_handler: Fatal X error - Restarting :0

Chris Irwin (chrisirwin) on 2007-12-29
description: updated

scorched3d doesn't crash X on my machine (though when I close it it logs a segfault in the game itself), suggesting that how to trigger this bug depends on one's hardware and/or software configuration, which could also account for the developers not being able to reproduce it. Is there anything OpenGL on the liveCD (screensavers?) that we could use to try and reproduce this in a clean environment?

I have also found that the keyboard LEDs go out and do not respond to the Caps Lock key, and that after each restart the mouse pointer works, though it freezes again before the screen goes off. The attached is a kernel log containing Alt+SysRq+t traces, but while those taken during the restarts list a process named Xorg, they don't appear to have a trace for it (one taken after it had all stopped didn't list an Xorg or x-session* process at all).

Bug 154343 appears to be a duplicate of this. Bug 68150 and (if we are counting the same symptoms on the i945gm as the same bug) bug 177518 might also be, but since there seems to be more than one X crash bug on the 965, I wouldn't label them as such without the logs.

Timo Aaltonen (tjaalton) on 2008-02-16
Changed in xserver-xorg-video-intel:
status: New → Invalid
description: updated
Sander Smid (s-smid) on 2008-03-25
description: updated
Julian Fietkau (xjulian) on 2008-03-29
description: updated
Loffe (erik-eloff) on 2008-04-16
description: updated
Praveen (bunchofmails) on 2008-04-22
Changed in xserver-xorg-video-intel:
status: Invalid → Confirmed
Timo Aaltonen (tjaalton) on 2008-04-22
Changed in xserver-xorg-video-intel:
status: Confirmed → Invalid
hop (hop2005) on 2008-04-28
description: updated
Robert Jordens (jordens) on 2008-05-22
description: updated
Mike Roberts (m.roberts) on 2008-05-26
description: updated
Changed in xorg-server:
status: Confirmed → Fix Released
Hermann Löns (onnog) on 2008-07-03
description: updated
description: updated
ALi7 (nabil-ali7) on 2008-08-17
description: updated
description: updated
Timo Aaltonen (tjaalton) on 2008-09-22
Changed in mesa:
status: Confirmed → Fix Released
138 comments hidden view all 218 comments
Jeremy Foshee (jeremyfoshee) wrote :

This behavior has also been seen in Lenovo R61e laptops. This includes significantly reduced FPS in testing 550 FPS in Intrepid, 1000 FPS in Hardy. Benchmarking with glxgear.

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
04:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b6)

I can no longer trigger this bug with either Blender or Atlas in Intrepid, but given its nature this doesn't prove it's entirely fixed.

Those who report seeing it in Intrepid: is it still there in the release version and do you have a reproducible way to trigger it?

I have not read the upstream report as attempting to do so gives an "invalid security certificate" Firefox error.

Mike Roberts (m.roberts) wrote :

Rebecca: Try running blender with this file.
http://launchpadlibrarian.net/14266500/blender_freeze.blend

I get the "invalid security certificate" error too. I'm pretty sure its safe.

I have still problem using blender with the intel 965gm chipset on a vostro 1310 with kubuntu 8.10...

running several programs i get this bug:

blender: brw_vtbl.c:98: brw_new_batch: Assertion `!brw->no_batch_wrap' failed.
Aborted

(within blender it only occurs sometimes and using the same file that used to crash my desktop completly on kubuntu hardy)

blender: brw_vtbl.c:98: brw_new_batch: Assertion `!brw->no_batch_wrap' failed.
Aborted

I added the blend file causing the error as an attachment

ahh btw: the error is also reproducable by installing the game "gridwars" and trying to run it..

(get gridwars2 from here:
http://www.getdeb.net/release/3393

greetings, tom

description: updated

Running Kubuntu 8.08 with kernel 2.6.24-21-generic. Intel driver: 2:2.2.1-1ubuntu13.7. Rest up to date in repos.
Kde Version: 4:3.5.10-0ubuntu1~hardy2
Qt Version: 3:3.3.8-b-0ubuntu3
Thinkpad T61, Intel Core2 Duo, X3100

Crash reproducible with Scorched 3D and Armagetron Advanced.

Will test other games soon.

Shane Blake (blakesha) wrote :

I was able to get a pre-compiled set of Intel 2.5.0 drivers (with the updated dri modules) and this still occurs.

Some 3D apps will work, while others just cause the system lock-up.

too many people still have this bug.. so i change it to confirmed..s

Changed in xserver-xorg-video-intel:
status: Invalid → Confirmed
Shane Blake (blakesha) wrote :

I attempted to run the Cobalt developement environment (http://www.opencroquet.org/index.php/Cobalt) and once I tried to open the 3D view I get the following assertion error appearing:

shader/slang/slang_emit.c:257: storage_to_dst_reg: Assertion `size <= 4' failed.

With GDB running this assertion appears outside the scope of the squeak code (causing a SEGFAULT). As the above assertion is within MESA I thought I would post it here to see if it assists.

lukasfischer (lukasfischer) wrote :

Same bug here on a Sony VAIO VGN-NR11Z with this Graphics Controller:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA controller])
        Subsystem: Sony Corporation Unknown device 902d
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fc000000 (64-bit, non-prefetchable) [size=1M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 1800 [size=8]
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
        Capabilities: [d0] Power Management version 3

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
        Subsystem: Sony Corporation Unknown device 902d
        Flags: bus master, fast devsel, latency 0
        Memory at fc100000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [d0] Power Management version 3

xserver-xorg-video-intel 2:2.2.1-ubuntu13.7
libgl1-mesa-dri 7.0.3~rc2-1ubuntu3

lockup occurs while running ParaView to visualize CFD Data.

[This is an automatic notice.]

We'd like to forward your bug upstream, however upstream requires
that you first test it against their newer driver code.

To save you the effort of building the driver from source, we've built
packages for the driver and its new dependencies.

So you have a couple options:

 1. Download and test .debs for intrepid, from:
     https://edge.launchpad.net/~intel-gfx-testing/+archive

 -or-

 2. Download and test the Jaunty alpha-2 (or newer) Live CD,
     (which includes a beta of the new xserver 1.6 as well).
     See http://cdimage.ubuntu.com/releases/9.04/ for ISOs

Thanks ahead of time! You can simply reply to this email to report your
findings.

P.S., if you wish to forward your bug upstream yourself, please follow
these directions to do so:
  http://intellinuxgraphics.org/how_to_report_bug.html

Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete
IanSidden (iansidden) wrote :

I have the same problem. I totally disabled Compiz (as well as Cairo-dock), and this works for some games but others still crash the system. Very frustrating.

Dell Inspiron 1525
Intel Core 2 Duo 1.83 Ghz
4 GB RAM
Intel GM965

David Nemeskey (nemeskeyd) wrote :

Bryce: What about building a similar package for Hardy? It is an LTS release, after all.

Bryce Harrington (bryce) wrote :

No, we tried but the number of dependencies for -intel 2.5.1 compared with what's available in hardy is too great. But there's some newer -intel snapshots for Hardy in the Xorg Edgers you could poke around with, but that stuff's not been very heavily tested so buyer beware.

Testing on Hardy would be a bit irrelevant anyway; if the Hardy bug was fixed in Intrepid, then no reason to test against anything newer than that. If the bug existed in both Hardy *and* Intrepid, then just testing against Intrepid would be sufficient. But if for some reason you definitely want to test against Hardy, do feel free to poke through the edgers stuff:

 https://edge.launchpad.net/~xorg-edgers

Download full text (3.6 KiB)

To the Bug list.

Though the below "fixes" the issue of crashing (and the other graphic
corruption issues) the fix is SLOOOOOW. As though it is not using hardware
acceleration at all.

Regards,

Shane

On Sat, Dec 20, 2008 at 1:30 PM, Bryce Harrington <<email address hidden>
> wrote:

>
> [This is an automatic notice.]
>
> We'd like to forward your bug upstream, however upstream requires
> that you first test it against their newer driver code.
>
> To save you the effort of building the driver from source, we've built
> packages for the driver and its new dependencies.
>
> So you have a couple options:
>
> 1. Download and test .debs for intrepid, from:
> https://edge.launchpad.net/~intel-gfx-testing/+archive<https://edge.launchpad.net/%7Eintel-gfx-testing/+archive>
>
> -or-
>
> 2. Download and test the Jaunty alpha-2 (or newer) Live CD,
> (which includes a beta of the new xserver 1.6 as well).
> See http://cdimage.ubuntu.com/releases/9.04/ for ISOs
>
>
> Thanks ahead of time! You can simply reply to this email to report your
> findings.
>
>
> P.S., if you wish to forward your bug upstream yourself, please follow
> these directions to do so:
> http://intellinuxgraphics.org/how_to_report_bug.html
>
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> [i965] intel gm965 freezes with 3d applications
> https://bugs.launchpad.net/bugs/120834
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Fix Released
> Status in "mesa" source package in Ubuntu: Fix Released
> Status in "xserver-xorg-video-intel" source package in Ubuntu: Incomplete
> Status in mesa in Ubuntu Hardy: Confirmed
> Status in xserver-xorg-video-intel in Ubuntu Hardy: Invalid
> Status in "xserver-xorg-video-intel" source package in zUbuntu: Invalid
>
> Bug description:
> On some Intel GM965 machines, running OpenGL applications (eg. Blender,
> Second Life, the Endgame screensaver, Scorched3D) can crash the system.
>
> Symptoms: Colours go funny, then screen flashes between off and black with
> 'please wait' cursor about 10 times, then stops; does not respond to
> Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the
> line
> Error in I830WaitLpRing(), timeout for 2 seconds
> in /var/log/Xorg.0.log.old
>
> (Please note that this is not the only X crash bug; if you cannot find
> an exact match for your symptoms then please file a new bug.)
>
> Workaround: Adding
> Option "DRI" "false"
> to the graphics controller Device section of /etc/X11/xorg.conf avoids this
> bug, but may drastically reduce performance.
>
> This bug has been reported upstream and you can follow the link to xorg
> bugzilla, but as of 29.12.07 no developer managed to reproduce this bug (how
> to trigger it seems to be hardware dependent, with some i965s not appearing
> to have it at all) so it will be very hard to fix unless that changes
> if you are suffering from this bug please go to xorg bugzilla and report
> your hardware specifics.
> also please edit this bug description and add the name and exact model of
> your affected laptop.
>
> list of affect...

Read more...

Shane, you didn't specify whether you were referring to option 1 or 2?

Sorry. Option 1. I havent yet tried option 2.

- Shane

On Tue, Dec 23, 2008 at 6:36 PM, Bryce Harrington <<email address hidden>
> wrote:

> Shane, you didn't specify whether you were referring to option 1 or 2?
>
> --
> [i965] intel gm965 freezes with 3d applications
> https://bugs.launchpad.net/bugs/120834
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Fix Released
> Status in "mesa" source package in Ubuntu: Fix Released
> Status in "xserver-xorg-video-intel" source package in Ubuntu: Incomplete
> Status in mesa in Ubuntu Hardy: Confirmed
> Status in xserver-xorg-video-intel in Ubuntu Hardy: Invalid
> Status in "xserver-xorg-video-intel" source package in zUbuntu: Invalid
>
> Bug description:
> On some Intel GM965 machines, running OpenGL applications (eg. Blender,
> Second Life, the Endgame screensaver, Scorched3D) can crash the system.
>
> Symptoms: Colours go funny, then screen flashes between off and black with
> 'please wait' cursor about 10 times, then stops; does not respond to
> Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the
> line
> Error in I830WaitLpRing(), timeout for 2 seconds
> in /var/log/Xorg.0.log.old
>
> (Please note that this is not the only X crash bug; if you cannot find
> an exact match for your symptoms then please file a new bug.)
>
> Workaround: Adding
> Option "DRI" "false"
> to the graphics controller Device section of /etc/X11/xorg.conf avoids this
> bug, but may drastically reduce performance.
>
> This bug has been reported upstream and you can follow the link to xorg
> bugzilla, but as of 29.12.07 no developer managed to reproduce this bug (how
> to trigger it seems to be hardware dependent, with some i965s not appearing
> to have it at all) so it will be very hard to fix unless that changes
> if you are suffering from this bug please go to xorg bugzilla and report
> your hardware specifics.
> also please edit this bug description and add the name and exact model of
> your affected laptop.
>
> list of affected laptops:
> Acer Travelmate 6292
> Asus S62E Santa Rosa 965
> dell D830
> Dell 630
> Dell Inspiron 1420n
> Dell Inspiron 1525 (new)
> Dell Latitude D630
> Dell Latitude D830
> Dell Vostro 1310
> Dell XPS M1330
> HP Compac 6510b
> HP Compaq 6710b
> Thinkpad T61
> Thinkpad X61 Tablet
> Thinkpad X61s
> Apple Macbook (3,1/Santa Rosa)
> Acer Aspire 5315-052G12Mi
> Lenovo 3000 N200 (TY2BBGE)
> Sony vaio CR160
>
> also if you have one of these laptops and are not affected please tell
> us!
>
>

Download full text (3.1 KiB)

Okay; I'd suggest trying a LiveCD before making conclusions about that -
many of the (esp. performance) changes in this version of the driver
require new features in the jaunty xserver/mesa to get the benefit.

Bryce

On Tue, Dec 23, 2008 at 08:00:28AM -0000, Shane Blake wrote:
> Sorry. Option 1. I havent yet tried option 2.
>
> - Shane
>
> On Tue, Dec 23, 2008 at 6:36 PM, Bryce Harrington <<email address hidden>
> > wrote:
>
> > Shane, you didn't specify whether you were referring to option 1 or 2?
> >
> > --
> > [i965] intel gm965 freezes with 3d applications
> > https://bugs.launchpad.net/bugs/120834
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in X.Org X server: Fix Released
> > Status in "mesa" source package in Ubuntu: Fix Released
> > Status in "xserver-xorg-video-intel" source package in Ubuntu: Incomplete
> > Status in mesa in Ubuntu Hardy: Confirmed
> > Status in xserver-xorg-video-intel in Ubuntu Hardy: Invalid
> > Status in "xserver-xorg-video-intel" source package in zUbuntu: Invalid
> >
> > Bug description:
> > On some Intel GM965 machines, running OpenGL applications (eg. Blender,
> > Second Life, the Endgame screensaver, Scorched3D) can crash the system.
> >
> > Symptoms: Colours go funny, then screen flashes between off and black with
> > 'please wait' cursor about 10 times, then stops; does not respond to
> > Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the
> > line
> > Error in I830WaitLpRing(), timeout for 2 seconds
> > in /var/log/Xorg.0.log.old
> >
> > (Please note that this is not the only X crash bug; if you cannot find
> > an exact match for your symptoms then please file a new bug.)
> >
> > Workaround: Adding
> > Option "DRI" "false"
> > to the graphics controller Device section of /etc/X11/xorg.conf avoids this
> > bug, but may drastically reduce performance.
> >
> > This bug has been reported upstream and you can follow the link to xorg
> > bugzilla, but as of 29.12.07 no developer managed to reproduce this bug (how
> > to trigger it seems to be hardware dependent, with some i965s not appearing
> > to have it at all) so it will be very hard to fix unless that changes
> > if you are suffering from this bug please go to xorg bugzilla and report
> > your hardware specifics.
> > also please edit this bug description and add the name and exact model of
> > your affected laptop.
> >
> > list of affected laptops:
> > Acer Travelmate 6292
> > Asus S62E Santa Rosa 965
> > dell D830
> > Dell 630
> > Dell Inspiron 1420n
> > Dell Inspiron 1525 (new)
> > Dell Latitude D630
> > Dell Latitude D830
> > Dell Vostro 1310
> > Dell XPS M1330
> > HP Compac 6510b
> > HP Compaq 6710b
> > Thinkpad T61
> > Thinkpad X61 Tablet
> > Thinkpad X61s
> > Apple Macbook (3,1/Santa Rosa)
> > Acer Aspire 5315-052G12Mi
> > Lenovo 3000 N200 (TY2BBGE)
> > Sony vaio CR160
> >
> > also if you have one of these laptops and are not affected please tell
> > us!
> >
> >
>
> --
> [i965] intel gm965 freezes with 3d applications
> https://bugs.launchpad.net/bugs/120834
> You received this bug notification because you are a member of Ubuntu-X,
> which is subsc...

Read more...

@Bryce Harrington:

I tried both solution 1 and two on my notebook (Acer Aspire 5315) and in both cases the performance was horrible. The updated drivers do fix a number of issues, ie. opengl windows have borders and moving them leaves no old frame on the original location behind. I tried the game Warsow (www.warsow.net) and get 1 (!!) fps, glxgears gets 192 with solution 1 and 146 on the livecd.

I hope this helps.. if you happen to have newer drivers or other possible solutions please let me know. I'm not using this notebook for production anymore and I'm able to test stuff on it.

dozer (matthew-pocock) wrote :

I think I may be seeing this (or something very similar). Tux racer crashes out when you go from the flat graphics to the 3d stuff. The glx gears app appears to work fine. Some haskell code I've got that binds against the opengl libs renders garbage into the opengl frame. Other opengl apps crash kde, or bomb out, or are otherwise badly behaved.

I've got an HP Compaq 2710p with an Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) and have tried both leaving xorg.conf as per default, and also adding a device for the graphics card with the intel driver (+ listing glx, GLcore and v4l modules).

Things seemed to be better behaved under hardy. Stuff seemed to break when I upgraded to Intrepid.

description: updated
Bryce Harrington (bryce) wrote :

Hmm, the upstream bug is marked fixed. I wonder if it would be best to start a new bug on these issues in case they're unrelated. Setting to Confirmed for now, until additional analysis is done.

Changed in xserver-xorg-video-intel:
importance: Undecided → High
status: Incomplete → Confirmed
description: updated
slayer (antoniochiaravalloti) wrote :

HP Compaq 6720s is also affected

STaRMaN (jarizaro) wrote :

Phoenix Voyagar S2 is affected too.
GMA x3100 / chipset GM965

lukasfischer (lukasfischer) wrote :

I am not sure if it's the same bug, my X server crashes and I have to reboot using ALT-PRINT-b, nothing else works. Screen blanks for half a second, comes back heavily distorted in the lower region and mouse is locked.
Xorg.0.log.old shows :

(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x02529000 (pgoffset 9513)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x093b3000 (pgoffset 37811)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x0b88c000 (pgoffset 47244)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x0dd65000 (pgoffset 56677)
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00029fff: HW cursors (40 kB)
(II) intel(0): 0x0002a000-0x00031fff: logical 3D context (32 kB)
(II) intel(0): 0x00032000-0x00041fff: exa G965 state buffer (64 kB)
(II) intel(0): 0x00042000-0x00042fff: overlay registers (4 kB)
(II) intel(0): 0x00050000-0x02528fff: front buffer (37732 kB)
(II) intel(0): 0x0077f000: end of stolen memory
(II) intel(0): 0x02529000-0x093b2fff: exa offscreen (113192 kB)
(II) intel(0): 0x093b3000-0x0b88bfff: back buffer (37732 kB)
(II) intel(0): 0x0b88c000-0x0dd64fff: depth buffer (37732 kB)
(II) intel(0): 0x0dd65000-0x0fd64fff: classic textures (32768 kB)
(II) intel(0): 0x10000000: end of aperture
(WW) intel(0): ESR is 0x00000001
(WW) intel(0): PRB0_CTL (0x0001f001) indicates ring buffer enabled
(WW) intel(0): PRB0_HEAD (0x014086f0) and PRB0_TAIL (0x000088a0) indicate ring buffer not flushed
(WW) intel(0): Existing errors found in hardware state.

my system:
Sony Vaio VGN-NR11Z
with GM965/GL960

attached lspci -vvnn and xorg.conf

lukasfischer (lukasfischer) wrote :

I am not sure if it's the same bug, my X server crashes and I have to reboot using ALT-PRINT-b, nothing else works. Screen blanks for half a second, comes back heavily distorted in the lower region and mouse is locked.
Xorg.0.log.old shows :

(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x02529000 (pgoffset 9513)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x093b3000 (pgoffset 37811)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x0b88c000 (pgoffset 47244)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x0dd65000 (pgoffset 56677)
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00029fff: HW cursors (40 kB)
(II) intel(0): 0x0002a000-0x00031fff: logical 3D context (32 kB)
(II) intel(0): 0x00032000-0x00041fff: exa G965 state buffer (64 kB)
(II) intel(0): 0x00042000-0x00042fff: overlay registers (4 kB)
(II) intel(0): 0x00050000-0x02528fff: front buffer (37732 kB)
(II) intel(0): 0x0077f000: end of stolen memory
(II) intel(0): 0x02529000-0x093b2fff: exa offscreen (113192 kB)
(II) intel(0): 0x093b3000-0x0b88bfff: back buffer (37732 kB)
(II) intel(0): 0x0b88c000-0x0dd64fff: depth buffer (37732 kB)
(II) intel(0): 0x0dd65000-0x0fd64fff: classic textures (32768 kB)
(II) intel(0): 0x10000000: end of aperture
(WW) intel(0): ESR is 0x00000001
(WW) intel(0): PRB0_CTL (0x0001f001) indicates ring buffer enabled
(WW) intel(0): PRB0_HEAD (0x014086f0) and PRB0_TAIL (0x000088a0) indicate ring buffer not flushed
(WW) intel(0): Existing errors found in hardware state.

my system:
Sony Vaio VGN-NR11Z
with GM965/GL960
Ubuntu 8.04.1
xserver-xorg 7.3+10ubuntu10.2
xserver-xorg-video-intel 2.2.1-1ubuntu13.7

attached lspci -vvnn and xorg.conf

1 comments hidden view all 218 comments

I am having the same problem on a Durabook D15RS running Ubuntu Studio 8.10 (Intrepid), so Intrepid does not necessarily fix the problem.

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

Thanks,

John

Bryce Harrington (bryce) wrote :

 Could you test it again with current Jaunty with all updates? We've recently upgraded to the 2.6.1 -intel driver, along with new libdrm, mesa, and xserver, any of which may have addressed this issue.

Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete

Is Jaunty stable enough for mission critical use? If not I will wait.

One other detail - an Xorg patch came via Ubuntu update last week, and
now I can run Compiz in its full glory, but still not Second Life or
Google Earth.

Bryce Harrington wrote:
> Could you test it again with current Jaunty with all updates? We've
> recently upgraded to the 2.6.1 -intel driver, along with new libdrm,
> mesa, and xserver, any of which may have addressed this issue.
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Confirmed => Incomplete
>
>

Shane Blake (blakesha) wrote :
Download full text (3.2 KiB)

I dist-updated to Jaunty, and after switching to the UXA AccelMethod (Tiling
is also set to "No") in the xorg.conf I ran some simple test:

1) Run glxgears - All Good
2) Run the Hippo version of the Second Life client - All Good
3) Run Super Tux Racer - All Good.

All three ran [reasonably] well with no crashing of X and no shearing of the
view window while it was being dragged around the desktop.

Checking the Xorg log and it appears to be using DRI2 correctly.

Regards,

Shane

On Wed, Jan 28, 2009 at 4:57 PM, Bryce Harrington <<email address hidden>
> wrote:

> Could you test it again with current Jaunty with all updates? We've
> recently upgraded to the 2.6.1 -intel driver, along with new libdrm,
> mesa, and xserver, any of which may have addressed this issue.
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> [i965] intel gm965 freezes with 3d applications
> https://bugs.launchpad.net/bugs/120834
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Fix Released
> Status in "mesa" source package in Ubuntu: Fix Released
> Status in "xserver-xorg-video-intel" source package in Ubuntu: Incomplete
> Status in mesa in Ubuntu Hardy: Confirmed
> Status in xserver-xorg-video-intel in Ubuntu Hardy: Invalid
> Status in "xserver-xorg-video-intel" source package in zUbuntu: Invalid
>
> Bug description:
> On some Intel GM965 machines, running OpenGL applications (eg. Blender,
> Second Life, the Endgame screensaver, Scorched3D) can crash the system.
>
> Symptoms: Colours go funny, then screen flashes between off and black with
> 'please wait' cursor about 10 times, then stops; does not respond to
> Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the
> line
> Error in I830WaitLpRing(), timeout for 2 seconds
> in /var/log/Xorg.0.log.old
>
> (Please note that this is not the only X crash bug; if you cannot find
> an exact match for your symptoms then please file a new bug.)
>
> Workaround: Adding
> Option "DRI" "false"
> to the graphics controller Device section of /etc/X11/xorg.conf avoids this
> bug, but may drastically reduce performance.
>
> This bug has been reported upstream and you can follow the link to xorg
> bugzilla, but as of 29.12.07 no developer managed to reproduce this bug (how
> to trigger it seems to be hardware dependent, with some i965s not appearing
> to have it at all) so it will be very hard to fix unless that changes
> if you are suffering from this bug please go to xorg bugzilla and report
> your hardware specifics.
> also please edit this bug description and add the name and exact model of
> your affected laptop.
>
> list of affected laptops:
> Acer Travelmate 6292
> Asus S62E Santa Rosa 965
> dell D830
> Dell 630
> Dell Inspiron 1420
> Dell Inspiron 1420n
> Dell Inspiron 1525 (new)
> Dell Latitude D630
> Dell Latitude D830
> Dell Vostro 1310
> Dell XPS M1330
> HP Compac 6510b
> HP Compaq 6710b
> Thinkpad T61
> Thinkpad X61 Tablet
> Thinkpad X61s
> Apple Macbook (3,1/Santa Rosa)
> Acer Aspire 5315-052G12Mi
> Acer Extensa 5220-050508Mi
> Lenovo 3000 N200 (TY2BBGE)
> Sony vaio CR16...

Read more...

I have been having the same issue.

X3100, T61 Thinkpad
8.04, KDE 3.5
2.6.24-21-generic
xserver-xorg-video-intel 2.2.1-1ubuntu13.8

00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 0c)

Any 3D app crashes X. Have to restart.

Relavent Syslog:

Feb 10 12:50:32 Laudis -- MARK --
Feb 10 12:51:47 Laudis kernel: [ 833.685168] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 2920702 emitted: 2920868
Feb 10 12:51:49 Laudis gdm[5470]: WARNING: gdm_slave_xioerror_handler: Fatal X error - Restarting :0
Feb 10 12:52:14 Laudis kernel: [ 859.150172] SysRq : HELP : loglevel0-8 reBoot Crashdump tErm Full kIll saK showMem Nice powerOff showPc show-all-timers(Q) unRaw Sync showTasks Unmount shoW-blocked-tasks

I included my Xorg.0.log.old

I cannot dist-upgrade. If there is a fix in Intrepid and Jaunty, then the updates should be added to Hardy repos. (LTS)
 A few weeks ago I tried compiling the latest from Intel but X would not start. Can I get the newest Intel Drivers from Jaunty and install them in hardy? Can I add the Intrepid and Jaunty repos just to get the xserver stuff and then remove the extra repos?

PCC (p-c-chan) wrote :

I have similar issues on my ThinkPad T61 with GM965 running ubuntu with 2.6.28.4 kernel.

The screen would become corrupted with the 2.4x or 2.6x intel server and it crashes frequently. For example thinktanksdemo would show a broken screen (portion of screen inverted or shown at the wrong place), GL screensavers would have a flashing row at the bottom and use tones of CPU.

However 2.2x server seems surviving well with none of the above issues but it would fill up Xorg.0.log over time by showing the available settings and configurations over and over again.

I am not sure whether glxgears have changed over the releases, but there is a huge difference in frame rate on this machine across releases.

I have over 1000 FPS by using the 2.2x server and libraries, about 600 FPS for 2.4x, and less than 60 FPS (not 600) for the 2.6x. It is definitely going the wrong way!

Can anybody check what have changed for GM965 from 2.2 to 2.6 and figure out what went wrong?

As for Xorg.conf, I am using virtually no configurations and let the server discover the best configuration on start up under all streams.

For now, I am running intrepid stream of Ubuntu with xserver and libraries downgraded to hardy (2.2x). Before the new stuff is back ported, I am still OK.

I have tried the most updated xserver and libraries available from time to time, unfortunately none worked out and I had to fall back to 2.2 to get a functional screen.

Hopefully somebody would figure it out soon.

Thanks,

Download full text (4.3 KiB)

@PCC:

With the Jaunty Alpha update I found that most, if not all of those issues
were solved, but only when I explicitly told it to use UXA. If I left this
setting out of the Xorg.conf then those framerate issues were definitely
there as it was using the older DRI (not DRI2) for acceleration.

I have that exact laptop.

- Shane

On Thu, Feb 12, 2009 at 6:38 AM, PCC <email address hidden> wrote:

> I have similar issues on my ThinkPad T61 with GM965 running ubuntu with
> 2.6.28.4 kernel.
>
> The screen would become corrupted with the 2.4x or 2.6x intel server and
> it crashes frequently. For example thinktanksdemo would show a broken
> screen (portion of screen inverted or shown at the wrong place), GL
> screensavers would have a flashing row at the bottom and use tones of
> CPU.
>
> However 2.2x server seems surviving well with none of the above issues
> but it would fill up Xorg.0.log over time by showing the available
> settings and configurations over and over again.
>
> I am not sure whether glxgears have changed over the releases, but there
> is a huge difference in frame rate on this machine across releases.
>
> I have over 1000 FPS by using the 2.2x server and libraries, about 600
> FPS for 2.4x, and less than 60 FPS (not 600) for the 2.6x. It is
> definitely going the wrong way!
>
> Can anybody check what have changed for GM965 from 2.2 to 2.6 and figure
> out what went wrong?
>
> As for Xorg.conf, I am using virtually no configurations and let the
> server discover the best configuration on start up under all streams.
>
> For now, I am running intrepid stream of Ubuntu with xserver and
> libraries downgraded to hardy (2.2x). Before the new stuff is back
> ported, I am still OK.
>
> I have tried the most updated xserver and libraries available from time
> to time, unfortunately none worked out and I had to fall back to 2.2 to
> get a functional screen.
>
> Hopefully somebody would figure it out soon.
>
> Thanks,
>
> --
> [i965] intel gm965 freezes with 3d applications
> https://bugs.launchpad.net/bugs/120834
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Fix Released
> Status in "mesa" source package in Ubuntu: Fix Released
> Status in "xserver-xorg-video-intel" source package in Ubuntu: Incomplete
> Status in mesa in Ubuntu Hardy: Confirmed
> Status in xserver-xorg-video-intel in Ubuntu Hardy: Invalid
> Status in "xserver-xorg-video-intel" source package in zUbuntu: Invalid
>
> Bug description:
> On some Intel GM965 machines, running OpenGL applications (eg. Blender,
> Second Life, the Endgame screensaver, Scorched3D) can crash the system.
>
> Symptoms: Colours go funny, then screen flashes between off and black with
> 'please wait' cursor about 10 times, then stops; does not respond to
> Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the
> line
> Error in I830WaitLpRing(), timeout for 2 seconds
> in /var/log/Xorg.0.log.old
>
> (Please note that this is not the only X crash bug; if you cannot find
> an exact match for your symptoms then please file a new bug.)
>
> Workaround: Adding
> Option "DRI" "false"
> to the graphics con...

Read more...

Glad to hear that a new update really works.

After another failure attempt to hang onto a newer version of xserver and libraries, I had downgraded my T61 (the 3rd or 4th time), almost down to hardy and even out of KDE4 this time.

The 2.2 intel server has been working fine (except the repeated configuration change messages in kern.log). I even got my favourite fireworks 3D (GL) screensaver back working beautifully. I am very happy.

I'll probably wait for a couple of new updates and I want to understand what could have gone wrong before trying again.

So what should I add/omit on the xorg.conf? Or could you post your xorg.conf? Since we have the same laptop I may as well use yours.

And which dri2 library should I use, is it something outside the libgl1-mesa-dri package?

Thanks,
PC

Sounds like this bug will be solved once we move to UXA. Thanks for testing Shane.

Changed in mesa:
status: Confirmed → Triaged

Can you also please check proper rendering of Second Life and Google
Earth with this fix?

Bryce Harrington wrote:
> Sounds like this bug will be solved once we move to UXA. Thanks for
> testing Shane.
>
> ** Summary changed:
>
> - [i965] intel gm965 freezes with 3d applications
> + [i965] [Needs UXA] intel gm965 freezes with 3d applications
>
> ** Changed in: mesa (Ubuntu Hardy)
> Status: Confirmed => Triaged
>
>

Good to go with both... a little slow, but that is also with compiz going
and it isnt THAT great an graphics adapter :)

On Thu, Mar 5, 2009 at 12:47 PM, John Simmons <email address hidden> wrote:

> Can you also please check proper rendering of Second Life and Google
> Earth with this fix?
>
> Bryce Harrington wrote:
> > Sounds like this bug will be solved once we move to UXA. Thanks for
> > testing Shane.
> >
> > ** Summary changed:
> >
> > - [i965] intel gm965 freezes with 3d applications
> > + [i965] [Needs UXA] intel gm965 freezes with 3d applications
> >
> > ** Changed in: mesa (Ubuntu Hardy)
> > Status: Confirmed => Triaged
> >
> >
>
> --
> [i965] [Needs UXA] intel gm965 freezes with 3d applications
> https://bugs.launchpad.net/bugs/120834
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Fix Released
> Status in “mesa” source package in Ubuntu: Fix Released
> Status in “xserver-xorg-video-intel” source package in Ubuntu: Incomplete
> Status in mesa in Ubuntu Hardy: Triaged
> Status in xserver-xorg-video-intel in Ubuntu Hardy: Invalid
> Status in “xserver-xorg-video-intel” source package in zUbuntu: Invalid
>
> Bug description:
> On some Intel GM965 machines, running OpenGL applications (eg. Blender,
> Second Life, the Endgame screensaver, Scorched3D) can crash the system.
>
> Symptoms: Colours go funny, then screen flashes between off and black with
> 'please wait' cursor about 10 times, then stops; does not respond to
> Ctrl+Alt+F1 or Ctrl+Alt+Backspace, but does reboot on Alt+SysRq+b. Logs the
> line
> Error in I830WaitLpRing(), timeout for 2 seconds
> in /var/log/Xorg.0.log.old
>
> (Please note that this is not the only X crash bug; if you cannot find
> an exact match for your symptoms then please file a new bug.)
>
> Workaround: Adding
> Option "DRI" "false"
> to the graphics controller Device section of /etc/X11/xorg.conf avoids this
> bug, but may drastically reduce performance.
>
> This bug has been reported upstream and you can follow the link to xorg
> bugzilla, but as of 29.12.07 no developer managed to reproduce this bug (how
> to trigger it seems to be hardware dependent, with some i965s not appearing
> to have it at all) so it will be very hard to fix unless that changes
> if you are suffering from this bug please go to xorg bugzilla and report
> your hardware specifics.
> also please edit this bug description and add the name and exact model of
> your affected laptop.
>
> list of affected laptops:
> Acer Travelmate 6292
> Asus S62E Santa Rosa 965
> dell D830
> Dell 630
> Dell Inspiron 1420
> Dell Inspiron 1420n
> Dell Inspiron 1525 (new)
> Dell Latitude D630
> Dell Latitude D830
> Dell Vostro 1310
> Dell XPS M1330
> HP Compac 6510b
> HP Compaq 6710b
> Thinkpad T61
> Thinkpad X61 Tablet
> Thinkpad X61s
> Apple Macbook (3,1/Santa Rosa)
> Acer Aspire 5315-052G12Mi
> Acer Extensa 5220-050508Mi
> Lenovo 3000 N200 (TY2BBGE)
> Sony vaio CR160
>
> also if you have one of these laptops and are not affected please tell
> us!
>
>

Bryce Harrington (bryce) on 2009-04-07
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Bryce Harrington (bryce) on 2009-04-09
summary: - [i965] [Needs UXA] intel gm965 freezes with 3d applications
+ [i965] X freezes with I830WaitLpRing error when running OpenGL apps,
+ unless use UXA

We have a PPA with some new tools for debugging X freezes:

  https://launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test

I know how irritating X freezes can be. They're also typically
quite hard to debug, but the information provided by these new
tools should help upstream figure them out.

You can help by doing the following:

 A. Install the PPA packages on Jaunty and boot kernel 2.6.30-rc2
 B. Reproduce your freeze
 C. ssh into the machine and run the steps to collect the info
 D. Attach the tarball of the results to this bug report

With this information, we'll be able to forward your bug upstream.

(For more information on triaging X freeze bugs, see
 https://wiki.ubuntu.com/X/Troubleshooting/Freeze )

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → New
status: New → Incomplete
Bryce Harrington (bryce) on 2009-04-25
summary: - [i965] X freezes with I830WaitLpRing error when running OpenGL apps,
- unless use UXA
+ [i965] (Needs UXA) X freezes with I830WaitLpRing error when running
+ OpenGL apps, unless use UXA
Bryce Harrington (bryce) on 2009-05-06
tags: added: freeze
tags: added: 3d
PCC (p-c-chan) wrote :

Finally upgraded successfully to 2.7 (karmic) from 2.2 yesterday, with UXA enabled, thinktanksdemo works and glxinfo is running at over 3000 frames in 5 seconds (not bad). And it even mentions about UXA under man intel.

Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.7.99.1+git20090602.ec2fde7c-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.7.99.1+git20090602.ec2fde7c-0ubuntu1) karmic; urgency=low

  * Update to git 20090602 (master branch) up to commit ec2fde7c
    - xvmc is disabled since DRI1 no longer supported
    - LP: #96991 - 3D stuff breaks with Compiz: Redirected Direct Rendering
      is needed in DRI
    - LP: #120834 - X freezes with I830WaitLpRing error when running OpenGL apps
    - LP: #337608 - X crashes in fbBlt() when using Sun Java Plugin 6 + firefox3.0
    - LP: #339555 - compiz slowmotion after Jaunty upgrade
    - LP: #363900 - X.org freezes with intel driver, no apparent trigger
    - LP: #331719 - VT switching doesn't work on Intel 915GM
    - LP: #339091 - X freezes a few minutes after resuming
    - LP: #348436 - Kubuntu: X server crash when screensaver is started (4500MHD)
    - LP: #279727 - Kubuntu: Display Corruption w/ Intel 4700MHD
    - LP: #357851 - Kubuntu: Distorted display after switching virtual desktops w/ exa
    - LP: #158415 - Front buffer dynamic resize not supported
    - LP: #324998 - x server restarts itself w/ compiz on Intel 945GM
    - LP: #355593 - after upgrade to 9.04, rotating desktop cube ran slow
    - LP: #357290 - 1 fps in 3d apps like neverball with EXA
    - LP: #360774 - Graphical Corruption with EXA on X4500
    - LP: #364126 - screensaver prefs dialog in 9.04 RC livecd leaves dirt
    - LP: #375712 - Native resolution for dell "2005fpw" monitor not listed
    - LP: #375264 - Choppy flash video and poor performance with compiz
    - LP: #349568 - Jaunty / Compiz slow and tearing on GMA 4500MHD
    - LP: #356056 - window tearing during movement on 965 (no compiz)
    - LP: #330460 - xorg shows black image/hangs with jpg in firefox
    - LP: #347587 - X asserts on pI830->batch_ptr != 0 on resume from suspend
  * Merge with Debian experimental. Remaining Ubuntu changes:
    - Add lpia architecture
    - Re-enable the patch system, add quilt to build-deps.
    - 110_quirk_hp_mini.patch: quirk (sent upstream)
    - 117_quirk_thinkpad_x30.patch: quirk (sent upstream)
  * Drop 116_8xx_disable_dri.patch. There have been fixes for 3d on 8xx
    chipsets upstream, so drop the DRI disablement so the fixes can be
    re-tested.
  * Drop 103_quirk_intel_mb890.patch. Better quirk available upstream.
    (LP: #305269)

 -- Bryce Harrington <email address hidden> Tue, 02 Jun 2009 10:47:32 -0700

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Fix Released
Changed in xorg-server:
importance: Unknown → Medium
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
Bryce Harrington (bryce) on 2011-08-16
Changed in mesa (Ubuntu Hardy):
status: Triaged → Won't Fix
Displaying first 40 and last 40 comments. View all 218 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.